


	DECLARE @Transmitters TABLE 
	(
		[Description] [nvarchar](100) NOT NULL,
		[ClassName] [nvarchar](100) NOT NULL
	);

	INSERT @Transmitters ([Description], [ClassName]) VALUES (N'EmailTransmitter', N'ESI.EventUploader.Transmitters.Email.EmailTransmitter, ESI.EventUploader.Transmitters.Email')

	MERGE INTO [dbo].Transmitters AS TARGET
	USING @Transmitters AS SOURCE
	ON TARGET.[ClassName] = SOURCE.[ClassName]
	WHEN MATCHED THEN
	UPDATE SET
		[Description] = SOURCE.[Description]
	WHEN NOT MATCHED BY TARGET THEN
		INSERT ([Description],[ClassName])
		VALUES (SOURCE.[Description],source.[ClassName])
	OUTPUT $ACTION, SOURCE.*;
	
